API referenceUploads
Create an upload
POST
Returns a signed URL. PUT the file bytes to upload_url with the same Content-Type,
then reference the upload by id. Uploads expire after 7 days.
bearerAuthheader
AuthorizationBearer <token>API key, e.g. rf_live_3f9k2q_….
application/json- body
content_type*stringValue in
"image/png""image/jpeg""image/webp""video/mp4""video/quicktime""audio/mpeg""audio/wav"size_bytes*integerRange
1 <= value <= 209715200sha256?stringMatch
^[a-f0-9]{64}$Upload created.
application/json- response
object*unknownid*stringMatch
^upl_status*stringValue in
"pending""ready""rejected"content_type*stringsize_bytes?integerupload_url?stringSigned PUT URL; present only while status is pending.
Format
uriupload_url_expires_at?stringFormat
date-timeexpires_at*stringFormat
date-timecurl -X POST 'https://api.rawframe.dev/v1/uploads' \ -H 'Content-Type: application/json' \ -d '{ "content_type": "image/png", "size_bytes": 1}'Example Response
{ "object": "upload", "id": "string", "status": "pending", "content_type": "string", "size_bytes": 0, "upload_url": "http://example.com", "upload_url_expires_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z"}